Public Member Functions | Data Fields

# SubsidyListWindow Struct Reference

Inheritance diagram for SubsidyListWindow:

## Public Member Functions
| SubsidyListWindow (WindowDesc *desc, WindowNumber window_number)
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
void | HandleClick (const Subsidy *s)
uint | CountLines ()
| Count the number of lines in this window.
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
| Update size and resize step of a widget in the window.
virtual void | DrawWidget (const Rect &r, int widget) const
| Draw the contents of a nested widget.
virtual void | OnResize ()
| Called after the window got resized.
virtual void | OnInvalidateData (int data=0, bool gui_scope=true)
| Some data on this window has become invalid.
## Data Fields
Scrollbar * | vscroll

## Detailed Description

Definition at line 28 of file subsidy_gui.cpp.

## Member Function Documentation

uint SubsidyListWindow::CountLines | ( |  | ) | `[inline]`

Count the number of lines in this window.

Returns:
  the number of lines

Definition at line 108 of file subsidy_gui.cpp.

References Subsidy::IsAwarded().

Referenced by OnInvalidateData().

virtual void SubsidyListWindow::DrawWidget | ( | const Rect & | r,
|  | int | widget |
| ) |  |  | const`[inline, virtual]`

Draw the contents of a nested widget.

Parameters:

  | r | Rectangle occupied by the widget.
  | widget | Number of the widget to draw.

Note:
  This method may not change any state, it may only use drawing functions.

Reimplemented from Window.

Definition at line 143 of file subsidy_gui.cpp.

References _date, Subsidy::awarded, ConvertDateToYMD(), YearMonthDay::day, DrawString(), FONT_HEIGHT_NORMAL, Scrollbar::GetCapacity(), Scrollbar::GetPosition(), Subsidy::IsAwarded(), IsInsideMM(), Subsidy::remaining, SetDParam(), SetupSubsidyDecodeParam(), and WID_SUL_PANEL.

virtual void SubsidyListWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 39 of file subsidy_gui.cpp.

References Scrollbar::GetScrolledRowFromWidget(), Subsidy::IsAwarded(), WD_FRAMERECT_TOP, and WID_SUL_PANEL.

virtual void SubsidyListWindow::OnInvalidateData | ( | int | data = `0`,
|  | bool | gui_scope = `true` |
| ) |  |  | `[inline, virtual]`

Some data on this window has become invalid.

Parameters:

  | data | Information about the changed data.
  | gui_scope | Whether the call is done from GUI scope. You may not do everything when not in GUI scope. See InvalidateWindowData() for details.

Reimplemented from Window.

Definition at line 218 of file subsidy_gui.cpp.

References CountLines(), and Scrollbar::SetCount().

virtual void SubsidyListWindow::OnResize | ( |  | ) | `[inline, virtual]`

Called after the window got resized.

For nested windows with a viewport, call NWidgetViewport::UpdateViewportCoordinates.

Reimplemented from Window.

Definition at line 208 of file subsidy_gui.cpp.

References Scrollbar::SetCapacityFromWidget(), and WID_SUL_PANEL.

virtual void SubsidyListWindow::UpdateWidgetSize | ( | int | widget,
|  | Dimension * | size,
|  | const Dimension & | padding,
|  | Dimension * | fill,
|  | Dimension * | resize |
| ) |  |  | `[inline, virtual]`

Update size and resize step of a widget in the window.

After retrieval of the minimal size and the resize-steps of a widget, this function is called to allow further refinement, typically by computing the real maximal size of the content. Afterwards, size is taken to be the minimal size of the widget and resize is taken to contain the resize steps. For the convenience of the callee, padding contains the amount of padding between the content and the edge of the widget. This should be added to the returned size.

Parameters:

  | widget | Widget number.
  | size | Size of the widget.
  | padding | Recommended amount of space between the widget content and the widget edge.
  | fill | Fill step of the widget.
  | resize | Resize step of the widget.

Reimplemented from Window.

Definition at line 130 of file subsidy_gui.cpp.

References GetStringBoundingBox(), maxdim(), WD_FRAMERECT_RIGHT, WD_FRAMERECT_TOP, and WID_SUL_PANEL.

The documentation for this struct was generated from the following file:

- src/subsidy_gui.cpp